Description

When dissolving there is a loss of information because features and their attributes are merged.

It makes sense to allow the user choose if in the resulting features he/she wants to have the attributes computed with some kind of

statistics (each attribute with eventually a different stat).

Popular ones in other GIS packages are:

SUM

MEAN

MIN

MAX

RANGE

STD

COUNT

FIRST

LAST

Related issues:

Duplicated by QGIS Application - Feature request # 4382: ftools: when using t... Closed 2011-10-15

History

#1 - 2014-10-24 06:40 AM - Giovanni Manghi

see also #11486

#2 - 2014-12-17 03:27 AM - julie -

I don't know if it's relevant but I made a plugin which does just this, it's called "dissolve with stats". It's still experimental though.

#3 - 2014-12-17 03:48 AM - Giovanni Manghi

Hi Julie,

I'm aware of your plugin, thanks for it, is indeed very useful. I would like to suggest to evaluate the possibility to add such stats functionalities to the core

qgis dissolve plugin. This way the stats would be available directly in any qgis installation.

I'm personally developing a tool with many different geoprocessing operations, including dissolve with stats, but that will show in the "Processing" toolbox

of QGIS. The tool uses pure Spatial SQL to do the geoprocessing.
#4 - 2014-12-17 04:41 AM - julie -

That would be great ! I'll wait for it.

#5 - 2015-10-22 06:45 AM - Bernhard Ströbl

I included this issue in #13654, please consider closing this ticket if appropriate.

#6 - 2015-10-22 07:01 AM - Giovanni Manghi

Hi Bernhard,

I will add ogr/sql tools regardless of the work being done in native qgis tools, for several reasons: I like the flexibility of having GUI tools purely based on

spatial SQL queries and because the tools already available have proven to be overall much quicker than the qgis/ftools counterparts. Cheers!

#7 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#8 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
